Subject: UTF-8 support is broken
Description

I just saved some FLOW3 objects with german umlauts and it seems that there's a "SET NAMES UTF-8" or some Doctrine2 UTF-8
connection setting missing. Also all autogenerated MySQL tables have latin1_swedish_ci collation. Should be easy to fix this.

These are my connection settings in Settings.yaml

FLOW3:
  persistence:
    backendOptions:
      driver: pdo_mysql
      host: 127.0.0.1
      port: 3306
      dbname: guruhelp_local
      user: root
      password: dasistnureinhohlespasswortdaskeinerkennt
      path: guruhelp

Associated revisions
Revision a1c06043 - 2011-05-11 09:22 - Karsten Dambekalns

[FEATURE] Enable SQL connection initialization

Some database setups might need to run some initial SQL statement after
a connection has been established. Examples are date/time format options
for Oracle or charset settings for MySQL.

For MySQL UTF-8 support was potentially broken, depending on the system
setup. This can be fixed by using the new initialization option:
 FLOW3: persistence: doctrine: dbal:
  sessionInitialization: 'SET NAMES utf8 COLLATE utf8_unicode_ci'

Change-Id: I456f313014e1943733aa5d7aa9cf9c8cb20f34a8
Fixes: #26687

History
#1 - 2011-05-07 05:38 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Target version set to 1.0 beta 1

#2 - 2011-05-11 09:22 - Mr. Hudson

Patch set 1 of change I456f313014e1943733aa5d7aa9cf9c8cb20f34a8 has been pushed to the review server.
It is available at http://review.typo3.org/2037

#3 - 2011-05-11 09:23 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-05-12 10:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a1c0604396c4d810e3971e59ef60174e5f076a04.
